import { debounce as lodashDebounce } from "lodash";

type DebounceableFunction = Parameters<typeof lodashDebounce>[0];

export const debounce = (fn: DebounceableFunction) =>
  lodashDebounce(fn, 1000, { leading: true, trailing: false });
